Edit Queue Pause Reason List
Update the queue pause reasons.
Request URL
POST {base_url}/{api_path}/queue_pause_reason/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| pause_reason_list | Yes | Array <Pause_Reason_List> | Queue pause reason list. Important: The queue pause reason list on PBX will be directly updated to the list set in this parameter. |
Pause_Reason_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| code | Yes | String | The feature code of the pause reason.
Note:You can use Query Queue Pause Reason List to query the feature codes of the existing pause reasons. |
| reason | Yes | String | Pause reason. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
The default pause reason and the feature code on PBX are listed below:
- "Lunch" – *01
- "Break" – *02
- "Wrap up" – *03
Update the pause reason of the feature code *01 to from "Lunch" to "Off Duty", without modifying the others.
POST /openapi/v1.0/queue_pause_reason/update?access_token=sRuPSzYcPflKgdwSVpA1lhxlVLw0q0z1 HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"pause_reason_list": [
{
"code": "*01",
"reason": "Off Duty" //Replace the pause reason.
},
{
"code": "#02", //The pause reasons that do not need to be modified should also be included in the request parameters; otherwise, they will be deleted.
"reason": "Break"
},
{
"code": "*03",
"reason": "Wrap up"
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}